# Generated from kramdown-rfc2629-1.7.21.gem by gem2rpm -*- rpm-spec -*-
%global gem_name kramdown-rfc2629

Name: rubygem-%{gem_name}
Version: 1.7.21
Release: 1%{?dist}
Summary: Kramdown extension for generating RFCXML (RFC 799x)
License: MIT
URL: http://github.com/cabo/kramdown-rfc
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
BuildArch: noarch

%description
An RFCXML (RFC 799x) generating backend for Thomas Leitner's
"kramdown" markdown parser.  Mostly useful for RFC writers.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/kramdown-rfc
%{_bindir}/kramdown-rfc2629
%{_bindir}/doilit
%{_bindir}/echars
%{_bindir}/kramdown-rfc-extract-markdown
%{_bindir}/kramdown-rfc-extract-sourcecode
%{_bindir}/kramdown-rfc-extract-figures-tables
%{_bindir}/kramdown-rfc-lsr
%{_bindir}/kdrfc
%{_bindir}/kramdown-rfc-cache-i-d-bibxml
%{_bindir}/kramdown-rfc-cache-subseries-bibxml
%{_bindir}/kramdown-rfc-autolink-iref-cleanup
%{_bindir}/de-gfm
%{_bindir}/kramdown-rfc-clean-svg-ids
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%{gem_instdir}/kramdown-rfc2629.gemspec

%changelog
* Mon Nov 11 2024 mockbuilder - 1.7.21-1
- Initial package
